Bug 104697 - Squid init script sends useful console startup messages to /dev/null
Summary: Squid init script sends useful console startup messages to /dev/null
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: squid   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-19 11:53 UTC by Reuben Farrelly
Modified: 2014-08-31 23:25 UTC (History)
1 user (show)

Fixed In Version: squid-2.5.STABLE5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 21:17:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to replace references to /dev/null to squid.out (759 bytes, patch)
2003-09-19 11:55 UTC, Reuben Farrelly
no flags Details | Diff

Description Reuben Farrelly 2003-09-19 11:53:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)

Description of problem:
The initscript for squid currently reads something like this:

$SQUID $SQUID_OPTS 2> /dev/null

This is less than perfect - if squid starts up but dies soon after, nothing 
will be logged and the end user will be none the wiser as to what went wrong.  
A good example is if the permissions on the logging directory are wrong and 
squid is unable to write any log out, or if the file system is full.

This output should be logged to a file, say for 
example /var/log/squid/squid.out

Patch attached which changes the init script to resolve this issue.

Version-Release number of selected component (if applicable):
2.5STABLE3

How reproducible:
Always

Steps to Reproduce:
1. Start squid
2. Silently dies and restarts...
3. Eventually it gives up ;-)
    

Actual Results:  Nothing is logged when ideally a console message should be.

Expected Results:  Console output or alternatively, to a log file..

Additional info:

Comment 1 Reuben Farrelly 2003-09-19 11:55:33 UTC
Created attachment 94594 [details]
Patch to replace references to /dev/null to squid.out

Comment 2 Jay Fenlason 2004-04-05 21:17:21 UTC
A similar patch is included in the latest rawhide squid RPM.


Note You need to log in before you can comment on or make changes to this bug.